# copyright: Huynh Duong Phuong Vi
# www.sketchupforyou.com
module S4U
    module S4u_connect
        IS_WIN = (Sketchup.platform == :platform_win)
        IS_OSX = (Sketchup.platform == :platform_osx)
        Sketchup::require File.join(NAME,(NAME + "_code"))
        if  !self.const_defined?("Dir_s4u_name")
            S4U.instance_variable_set(:@s4u_menu,UI.menu("Plugins").add_submenu("Suforyou")) if !S4U.instance_variable_defined?(:@s4u_menu)
            menu=S4U.instance_variable_get :@s4u_menu
            @submenu=menu.add_submenu(Strings[TOOL])
            @toolbar = UI::Toolbar.new("s4u-" + Strings[TOOL])
            names=[ [Strings["Connect"],"s4u_connect",Strings["Connect 2 selected Edges."]],
                    [Strings["Connect Extend"],"s4u_connect_extend",Strings["Extend 2 selected Edges."]]
                    ]
            if IS_OSX
                names.each{|n| n[1]+=".pdf"}
            else
                names.each{|n| n[1]+=".svg"}
            end
            @items=[]
            (0..names.length-1).each{|i|
                cmd=UI::Command.new(names[i][0]){ self.main(i) }
                cmd.large_icon = names[i][1]
                cmd.small_icon = names[i][1]
                cmd.status_bar_text = names[i][2]
                cmd.tooltip= names[i][0]
                cmd.menu_text = names[i][0]
                @toolbar=@toolbar.add_item cmd
                @items<<@submenu.add_item(cmd)
                UI.add_context_menu_handler { |context_menu|
                    if Sketchup.active_model.selection.grep(Sketchup::Edge).length>1
                        context_menu.add_item(cmd)
                    end
                }
            }
            @toolbar.show if @toolbar.get_last_state.abs == 1
            Dir_s4u_name = File.join(File.dirname(@ext.extension_path),NAME)
        end
    end
end